com.mockobjects.sql

## Class MockArray

- java.lang.Object
- - com.mockobjects.MockObject
  - - com.mockobjects.sql.MockArray

- All Implemented Interfaces:
    Verifiable, java.sql.Array

      public class MockArray
      extends MockObject
      implements java.sql.Array

  MockArray.java
  Version:
    $Revision: 1.1 $
  Author:
    ggalli@e-tree.com

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MockArray()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getArray()`
    `java.lang.Object` | `getArray(long l, int n)`
    `java.lang.Object` | `getArray(long l, int n, java.util.Map map)`
    `java.lang.Object` | `getArray(java.util.Map map)`
    `int` | `getBaseType()`
    `java.lang.String` | `getBaseTypeName()`
    `java.sql.ResultSet` | `getResultSet()`
    `java.sql.ResultSet` | `getResultSet(long l, int n)`
    `java.sql.ResultSet` | `getResultSet(long l, int n, java.util.Map map)`
    `java.sql.ResultSet` | `getResultSet(java.util.Map map)`
    `void` | `setupArray(java.lang.Object anArray)`
    `void` | `setupBaseTypeName(java.lang.String aBaseTypName)`

    - ### Methods inherited from class com.mockobjects.MockObject

      `notImplemented, notYetImplemented, verify`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.sql.Array

      `free`

- - ### Constructor Detail

    - #### MockArray

          public MockArray()

  - ### Method Detail

    - #### setupBaseTypeName

          public void setupBaseTypeName(java.lang.String aBaseTypName)

    - #### getBaseTypeName

          public java.lang.String getBaseTypeName()

      Specified by:
        `getBaseTypeName` in interface `java.sql.Array`

    - #### getBaseType

          public int getBaseType()

      Specified by:
        `getBaseType` in interface `java.sql.Array`

    - #### getArray

          public java.lang.Object getArray(long l,
                                           int n)
                                    throws java.sql.SQLException

      Specified by:
        `getArray` in interface `java.sql.Array`
      Throws:
        `java.sql.SQLException`

    - #### getArray

          public java.lang.Object getArray(java.util.Map map)
                                    throws java.sql.SQLException

      Specified by:
        `getArray` in interface `java.sql.Array`
      Throws:
        `java.sql.SQLException`

    - #### getArray

          public java.lang.Object getArray(long l,
                                           int n,
                                           java.util.Map map)
                                    throws java.sql.SQLException

      Specified by:
        `getArray` in interface `java.sql.Array`
      Throws:
        `java.sql.SQLException`

    - #### setupArray

          public void setupArray(java.lang.Object anArray)

    - #### getArray

          public java.lang.Object getArray()
                                    throws java.sql.SQLException

      Specified by:
        `getArray` in interface `java.sql.Array`
      Throws:
        `java.sql.SQLException`

    - #### getResultSet

          public java.sql.ResultSet getResultSet()
                                          throws java.sql.SQLException

      Specified by:
        `getResultSet` in interface `java.sql.Array`
      Throws:
        `java.sql.SQLException`

    - #### getResultSet

          public java.sql.ResultSet getResultSet(long l,
                                                 int n)
                                          throws java.sql.SQLException

      Specified by:
        `getResultSet` in interface `java.sql.Array`
      Throws:
        `java.sql.SQLException`

    - #### getResultSet

          public java.sql.ResultSet getResultSet(java.util.Map map)
                                          throws java.sql.SQLException

      Specified by:
        `getResultSet` in interface `java.sql.Array`
      Throws:
        `java.sql.SQLException`

    - #### getResultSet

          public java.sql.ResultSet getResultSet(long l,
                                                 int n,
                                                 java.util.Map map)
                                          throws java.sql.SQLException

      Specified by:
        `getResultSet` in interface `java.sql.Array`
      Throws:
        `java.sql.SQLException`

Copyright © 2002 Mock Objects. All Rights Reserved.